> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ai-cmo.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Deprecated alias for the transition endpoint



## OpenAPI

````yaml /openapi.json post /api/v1/workspaces/{workspace}/recs/{id}/status
openapi: 3.0.3
info:
  title: ai-cmo.dev Services API
  version: 1.0.0
servers: []
security: []
tags:
  - name: Meta
    description: Health and the generated API description.
  - name: Auth
    description: Signup, login, sessions and email verification.
  - name: Device authorization
    description: Browser-approved API key provisioning for agents and the MCP server.
  - name: Setup tokens
    description: Single-use tokens that bootstrap a connector or agent.
  - name: MCP
    description: The canonical MCP install prompt.
  - name: Workspaces
    description: Workspace creation, settings, profile and competitors.
  - name: API keys
    description: 'Key lifecycle: create, deliver, acknowledge, rotate, revoke.'
  - name: Connections
    description: Connector status, tests, configuration and credentials.
  - name: Runs
    description: Measurement runs and their jobs.
  - name: Research
    description: The five-stage research pipeline.
  - name: Prompts
    description: The measurement prompt set.
  - name: Recommendations
    description: Recommendation board and guarded lifecycle transitions.
  - name: Reports
    description: Stable report identities and the report catalog.
  - name: Scores & metrics
    description: GEO score, scoreboard, metrics, timeseries and SEO.
  - name: Credits & billing
    description: Micro-USD credits, top-ups and Stripe checkout.
  - name: Team
    description: Members, roles and invitations.
  - name: Chat
    description: The workspace assistant (SSE) and its threads.
  - name: Webhooks
    description: Inbound webhooks.
paths:
  /api/v1/workspaces/{workspace}/recs/{id}/status:
    post:
      tags:
        - Recommendations
      summary: Deprecated alias for the transition endpoint
      operationId: transitionRecommendationLegacyRoute
      parameters:
        - name: workspace
          in: path
          required: true
          schema:
            type: string
            pattern: ^[a-z0-9-]+$
        - name: id
          in: path
          required: true
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/RecommendationTransition'
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RecommendationMutation'
        '409':
          description: Stale or invalid lifecycle transition
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RecommendationConflict'
      deprecated: true
      security:
        - cookieAuth: []
        - bearerAuth:
            - recs:write
components:
  schemas:
    RecommendationTransition:
      type: object
      properties:
        action:
          type: string
          enum:
            - accept
            - decline
            - submit
            - verify
            - request_changes
            - stale_reopen
            - reopen
            - archive
            - restore
        expectedStatus:
          type: string
          enum:
            - proposed
            - todo
            - in_review
            - done
            - archived
        expectedVersion:
          type: integer
          exclusiveMinimum: true
          minimum: 0
        idempotencyKey:
          type: string
          minLength: 1
          maxLength: 200
        note:
          type: string
          maxLength: 300
        reviewEvidence:
          type: object
          properties:
            decision:
              type: string
              enum:
                - approved
                - changes_requested
            comment:
              type: string
            reviewedAt:
              type: string
              minLength: 1
          required:
            - decision
            - reviewedAt
          additionalProperties: false
        visibilitySnapshot:
          type: object
          properties:
            metric:
              type: string
              minLength: 1
            scope:
              type: string
              minLength: 1
            value:
              type: number
              nullable: true
            'n':
              type: integer
              minimum: 0
            observedAt:
              type: string
              minLength: 1
            signalRefs:
              type: array
              items:
                type: string
            unavailableReason:
              type: string
              minLength: 1
          required:
            - metric
            - scope
            - value
            - 'n'
            - observedAt
            - signalRefs
          additionalProperties: false
        draftId:
          type: string
          minLength: 1
        complianceApproved:
          type: boolean
          default: false
      required:
        - action
        - expectedStatus
        - expectedVersion
        - idempotencyKey
      additionalProperties: false
    RecommendationMutation:
      type: object
      properties:
        stdout:
          type: string
        stderr:
          type: string
      required:
        - stdout
        - stderr
      additionalProperties: false
    RecommendationConflict:
      type: object
      properties:
        error:
          type: string
        message:
          type: string
      required:
        - error
        - message
      additionalProperties: false
  securitySchemes:
    cookieAuth:
      type: apiKey
      in: cookie
      name: geo.session
      description: Signed HttpOnly browser session cookie
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: gp_live_<43 base64url characters>
      description: Workspace-bound machine API key

````